[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: GNU TLS OpenSSL compatibility layer under GPL, not LGPL

On Thu, Jan 16, 2003 at 05:40:47PM +0100, Simon Josefsson wrote:
> There is a third option: Make the library use GNU TLS natively,
> without the OpenSSL compatibility layer.  GNU TLS core is LGPL.

This is just an argument that the compat layer doesn't need to exist at
all, which is basically true; it exists to make switching from OpenSSL
easier, not to make it possible.

But it doesn't seem to be related to which license it should use.  If
it's useful for GPL apps, it'd be just as useful for (as Steve mentioned)
LGPL libraries.

Glenn Maynard

Reply to: